Name:		qdigidoc4
Version:	4.2.7
Release:	%mkrel 1
Summary:	Estonian digital signature application

Group:		Office/Utilities
License:	LGPLv2
URL:		https://github.com/open-eid/DigiDoc4-Client
Source0:	https://github.com/open-eid/DigiDoc4-Client/releases/download/v%{version}/%{name}-%{version}.tar.gz
# https://ec.europa.eu/information_society/policy/esignature/trusted-list/tl-mp.xml
Source1:	tl-mp.xml
# https://sr.riik.ee/tsl/estonian-tsl.xml
Source2:	EE.xml
Source3:	TSL.qrc
# https://id.eesti.ee/config.json
Source4:	config.json
# https://id.eesti.ee/config.rsa
Source5:	config.rsa
# https://id.eesti.ee/config.pub
Source6:	config.pub

# https://github.com/open-eid/qdigidoc/wiki/DeveloperTips#building-in-sandboxed-environment
Patch0:		qdigidoc4-build-offline.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libdigidocpp)
BuildRequires:	qt5-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(libpcsclite)

Requires:	opensc
Requires:	ccid
Requires:	pcsc-lite
# fix mga#11352
Requires:	locales-et

Obsoletes:	qdigidoc < 4

%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package	nautilus
Summary:	Nautilus extension for %{name}
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python
Requires:	python3-gobject3

Obsoletes:	qdigidoc-nautilus < 4

%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%autosetup -p1

install -Dpm644 %{SOURCE1} %{SOURCE2} %{SOURCE3} client
install -Dpm644 %{SOURCE4} %{SOURCE5} %{SOURCE6} common

%build
# Fix linking
export LDFLAGS="%{ldflags} -Wl,--copy-dt-needed-entries"
%cmake -DSERVICES_INSTALL_DIR=%{_datadir}/kservices5
%cmake_build

%install
%cmake_install

%find_lang nautilus-qdigidoc

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kservices5/*.desktop
%{_mandir}/man1/qdigidoc4.1.*

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*


%changelog
* Tue Dec 29 2020 sander85 <sander85> 4.2.7-1.mga8
+ Revision: 1665405
- New version: 4.2.7

* Wed Aug 12 2020 sander85 <sander85> 4.2.5-1.mga8
+ Revision: 1613560
- New version: 4.2.5

* Tue Feb 18 2020 umeabot <umeabot> 4.2.3-3.mga8
+ Revision: 1541780
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 4.2.3-2.mga8
+ Revision: 1475157
- update all sources
- obsolete old qdigidoc v3 pkgs

* Wed Jan 01 2020 wally <wally> 4.2.3-1.mga8
+ Revision: 1475147
- new version 4.2.3
- build with new cmake macros

* Wed May 15 2019 sander85 <sander85> 4.2.1-1.mga7
+ Revision: 1397878
- New version: 4.2.1

* Mon Apr 01 2019 umeabot <umeabot> 4.2.0-3.mga7
+ Revision: 1384155
- Qt5 Rebuild

* Fri Jan 04 2019 sander85 <sander85> 4.2.0-2.mga7
+ Revision: 1349203
- Update config.json

* Fri Jan 04 2019 sander85 <sander85> 4.2.0-1.mga7
+ Revision: 1349180
- New version: 4.2.0

* Thu Nov 15 2018 sander85 <sander85> 4.1.0-1.mga7
+ Revision: 1330049
- New version: 4.1.0

* Sun Sep 23 2018 umeabot <umeabot> 4.0.0-2.mga7
+ Revision: 1300641
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 sander85 <sander85> 4.0.0-1.mga7
+ Revision: 1240820
- imported package qdigidoc4

